"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ContactosPagar = void 0;
var _reactNative = require("react-native");
var _react = _interopRequireWildcard(require("react"));
var _reactNativePaper = require("react-native-paper");
var _reactNativeContacts = _interopRequireDefault(require("react-native-contacts"));
var _native = require("@react-navigation/native");
var _FontAwesome = _interopRequireDefault(require("react-native-vector-icons/FontAwesome"));
var _axios = _interopRequireDefault(require("axios"));
var _AuthContext = require("../context/Auth/AuthContext");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const ContactosPagar = () => {
  const {
    token
  } = (0, _react.useContext)(_AuthContext.AuthContext);
  console.log("token desde contacto" + token);
  async function inicializarDatos() {
    try {
      if (token != null) {
        let config = {
          method: 'get',
          maxBodyLength: Infinity,
          url: 'http://ec2-54-85-3-246.compute-1.amazonaws.com:8080/deUna/',
          headers: {
            'Authorization': `Bearer ${token}`
          }
        };
        const {
          data
        } = await (0, _axios.default)(config);
        let datos = data.data;
        _reactNative.PermissionsAndroid.request(_reactNative.PermissionsAndroid.PERMISSIONS.READ_CONTACTS, {
          title: 'Contacts',
          message: 'This app would like to view your contacts.',
          buttonPositive: 'Please accept bare mortal'
        }).then(() => {
          _reactNativeContacts.default.getAll().then(contacts => {
            const contactos = contacts.map(item => ({
              displayName: item.displayName,
              phoneNumbers: item.phoneNumbers,
              isNumberRegistered: datos.some(dato => {
                var _, _$number;
                return dato.telefono.replace(/\s+/g, '') == ((_ = item.phoneNumbers[0]) === null || _ === void 0 ? void 0 : (_$number = _.number) === null || _$number === void 0 ? void 0 : _$number.replace(/\s+/g, ''));
              })
            }));
            setContactosUsuario(contactos);
            setSearchList(contactos);
          });
        }).catch(e => {
          _reactNative.Alert.alert('Error', 'No se puede acceder a los contactos' + e);
        });
      } else {
        console.log(token + "es nulo");
      }
    } catch (error) {
      console.log(error);
    }
  }
  const [ContactosUsuario, setContactosUsuario] = (0, _react.useState)();
  const [searchList, setSearchList] = (0, _react.useState)();
  const navigate = (0, _native.useNavigation)();
  const render = (0, _react.useCallback)(_ref => {
    let {
      item
    } = _ref;
    if (item.isNumberRegistered == 1) {
      var _3;
      return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableWithoutFeedback, {
        onPress: () => {
          var _2;
          return navigate.navigate('PayRecibe', {
            name: item.displayName,
            number: (_2 = item.phoneNumbers[0]) === null || _2 === void 0 ? void 0 : _2.number
          });
        }
      }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: styles.container
      }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: styles.contacto
      }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: {
          fontWeight: "bold",
          paddingBottom: 2
        }
      }, item.displayName), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: {
          fontSize: 12
        }
      }, "Pagar Deuna!- ", (_3 = item.phoneNumbers[0]) === null || _3 === void 0 ? void 0 : _3.number))));
    } else {
      var _4;
      return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: {
          ...styles.container
        }
      }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: styles.contacto
      }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: {
          fontWeight: "bold",
          opacity: 0.7,
          paddingBottom: 2
        }
      }, item.displayName), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: {
          fontSize: 12
        }
      }, (_4 = item.phoneNumbers[0]) === null || _4 === void 0 ? void 0 : _4.number)), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: styles.containerInvitar
      }, /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
        onPress: () => _reactNative.Alert.alert('Se envio la invitacion al usuario satisfactoriamente ')
      }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: styles.textoInvitar
      }, "Invitar"))));
    }
  }, []);
  (0, _react.useEffect)(() => {
    inicializarDatos();

    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);
  const findContact = (0, _react.useCallback)(text => {
    if (text) {
      const newData = ContactosUsuario.filter(item => {
        const itemData = item.displayName ? item.displayName.toUpperCase() : ''.toUpperCase();
        const textData = text.toUpperCase();
        return itemData.indexOf(textData) > -1;
      });
      setSearchList(newData);
    } else {
      setSearchList(ContactosUsuario);
    }
  }, [ContactosUsuario]);
  return /*#__PURE__*/_react.default.createElement(_reactNativePaper.Provider, null, /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, {
    style: styles.container1
  }, /*#__PURE__*/_react.default.createElement(_reactNative.SafeAreaView, {
    style: styles.containerFinder
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: {
      color: 'white',
      margin: 10,
      textAlign: "center",
      fontWeight: "bold",
      fontSize: 17
    }
  }, "\xBFA quien quieres Pagar?"), /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, {
    style: styles.input,
    onChangeText: findContact,
    placeholder: "Escribe un nombre, telefono o cuenta...."
  })), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.section
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: {
      fontWeight: "bold"
    }
  }, "Sugerencias")), /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: () => navigate.navigate("CamaraQrNavigate"),
    style: styles.sectionQR
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.containerIcono
  }, /*#__PURE__*/_react.default.createElement(_FontAwesome.default, {
    name: "qrcode",
    size: 25,
    color: "white"
  })), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.textoQR
  }, "Escanear un c\xF3digo QR")), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.section
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: {
      fontWeight: "bold"
    }
  }, "Mis Contactos")), /*#__PURE__*/_react.default.createElement(_reactNative.FlatList, {
    data: searchList === null || searchList === void 0 ? void 0 : searchList.sort((a, b) => Number(b.isNumberRegistered) - Number(a.isNumberRegistered)),
    renderItem: render,
    disableScrollViewPanResponder: true
  })));
};
exports.ContactosPagar = ContactosPagar;
const styles = _reactNative.StyleSheet.create({
  sectionQR: {
    backgroundColor: 'white',
    height: 60,
    display: 'flex',
    flexDirection: 'row',
    alignItems: 'center',
    paddingLeft: 15
  },
  containerIcono: {
    backgroundColor: '#572364',
    marginRight: 10,
    width: 40,
    height: 40,
    borderRadius: 40,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  },
  textoQR: {
    fontWeight: 'bold',
    fontSize: 15
  },
  section: {
    padding: 5,
    paddingLeft: 15
  },
  containerInvitar: {
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  },
  textoInvitar: {
    fontWeight: 'bold',
    padding: 5,
    paddingLeft: 20,
    paddingRight: 20,
    borderRadius: 20,
    backgroundColor: '#e8d1e7'
  },
  container1: {
    flex: 1,
    height: '100%'
  },
  contacto: {
    display: 'flex'
  },
  container: {
    flex: 1,
    flexDirection: 'row',
    justifyContent: 'space-between',
    backgroundColor: 'white',
    width: '100%',
    padding: 10,
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 2
    },
    shadowOpacity: 0.25,
    shadowRadius: 3.84,
    elevation: 5
  },
  input: {
    flexBasis: '30%',
    alignContent: 'center',
    height: 40,
    margin: 12,
    borderColor: '#7a42f4',
    borderWidth: 1,
    backgroundColor: 'white'
  },
  containerFinder: {
    flex: 1,
    backgroundColor: '#572364',
    width: '100%',
    height: '100%',
    padding: 10,
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 2
    },
    shadowOpacity: 0.25,
    shadowRadius: 3.84,
    elevation: 5
  }
});
//# sourceMappingURL=ContactosPagar.js.map