"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.tokenValidator = void 0;
var _validateJwt = require("../hooks/validateJwt");
const tokenValidator = async token => {
  var jwtDecode = require('jwt-decode');
  const decoded = jwtDecode(token);
  const exp = decoded.exp;
  const expirationDate = new Date(exp * 1000);
  const currentDate = new Date();
  const tokenValid = await (0, _validateJwt.validateJwt)(token);
  if (tokenValid === false) {
    return false;
  }
  if (expirationDate < currentDate) {
    return false;
  } else {
    return true;
  }
};
exports.tokenValidator = tokenValidator;
//# sourceMappingURL=tokenValidator.js.map