import React, { useEffect } from 'react';
import { View, Text, StyleSheet, Pressable } from 'react-native';
import { useRoute } from '@react-navigation/native';
import PubSub from 'pubsub-js';
import numerosregistrados from '../datos/numerosregistrados.json';
export const ConfirmarTransaccion = () => {
  const route = useRoute();
  const [datos, setDatos] = React.useState({});
  const [ValorPagar, setValorPagar] = React.useState(0);
  useEffect(() => {
    numerosregistrados.forEach(item => {
      if (item.number === route.params.number) {
        setDatos(item);
      }
    });
    setValorPagar(route.params.valorPagar);
  }, [datos, route]);
  return /*#__PURE__*/React.createElement(View, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.textoCuenta
  }, "Ha pagado ", ValorPagar ? ValorPagar.toFixed(2) : 0.0, "$ a", ' ', datos && datos.name ? datos.name.toUpperCase() : ''), /*#__PURE__*/React.createElement(View, {
    style: styles.info
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.seccion
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.subsecciones
  }, /*#__PURE__*/React.createElement(Text, null, " Valor: "), /*#__PURE__*/React.createElement(Text, null, "$", ValorPagar))), /*#__PURE__*/React.createElement(View, {
    style: styles.seccion
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.subsecciones
  }, /*#__PURE__*/React.createElement(Text, null, " De: "), /*#__PURE__*/React.createElement(Text, null, datos.name)), /*#__PURE__*/React.createElement(View, {
    style: styles.subsecciones
  }, /*#__PURE__*/React.createElement(Text, null, " Desde la cuenta: "), /*#__PURE__*/React.createElement(Text, null, datos.account)), /*#__PURE__*/React.createElement(View, {
    style: styles.subsecciones
  }, /*#__PURE__*/React.createElement(Text, null, "A la cuenta: "), /*#__PURE__*/React.createElement(Text, null, "2238*****2232")), /*#__PURE__*/React.createElement(View, {
    style: styles.subsecciones
  }, /*#__PURE__*/React.createElement(Text, null, " Telefono "), /*#__PURE__*/React.createElement(Text, null, "0996730142"))), /*#__PURE__*/React.createElement(View, {
    style: styles.seccion
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.subsecciones
  }, /*#__PURE__*/React.createElement(Text, null, " Fecha de pago: "), /*#__PURE__*/React.createElement(Text, null, "11/12/2022/10:00")), /*#__PURE__*/React.createElement(View, {
    style: styles.subsecciones
  }, /*#__PURE__*/React.createElement(Text, null, " Nro Comprobante: "), /*#__PURE__*/React.createElement(Text, null, "238798723"))), /*#__PURE__*/React.createElement(View, {
    style: styles.seccion
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.comprobante
  }, "Compartir Comprobante"))), /*#__PURE__*/React.createElement(Pressable, {
    style: styles.Btn,
    onPress: () => {
      PubSub.publish('confirmarTran', {
        name: datos.name,
        otro: ValorPagar
      });
    }
  }, /*#__PURE__*/React.createElement(Text, null, "Continuar")));
};
const styles = StyleSheet.create({
  textoCuenta: {
    fontWeight: 'bold',
    fontSize: 20,
    width: 200,
    textAlign: 'center'
  },
  container: {
    padding: 20,
    flex: 1,
    alignItems: 'center',
    backgroundColor: '#FFFFFF'
  },
  icono: {
    fontSize: 30,
    color: '#422d4e',
    padding: 15
  },
  containerIcono: {
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  },
  info: {
    marginTop: 20,
    borderTopColor: 'black',
    borderTopWidth: 1,
    backgroundColor: '#ececec',
    width: '100%'
  },
  seccion: {
    borderTopColor: 'black',
    borderTopWidth: 0.3,
    backgroundColor: '#efefef',
    width: '100%'
  },
  subsecciones: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    paddingTop: 5,
    paddingBottom: 5,
    paddingLeft: 15,
    paddingRight: 15
  },
  comprobante: {
    padding: 20,
    textAlign: 'center',
    fontWeight: 'bold'
  },
  iconoShare: {
    fontSize: 25
  },
  Btn: {
    width: '100%',
    backgroundColor: '#FFDD00',
    padding: 15,
    marginTop: 35,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  }
});
//# sourceMappingURL=ConfirmarTransaccion.js.map