import React from 'react';
import { useEffect } from 'react';
import { View, Text, StyleSheet, Pressable, TextInput } from 'react-native';
import { useNavigation, useRoute } from '@react-navigation/native';
import { CuentaMin } from './CuentaMin';
import numerosregistrados from '../datos/numerosregistrados.json';
export const VistaPreviaValoPagar = () => {
  const navigate = useNavigation();
  const [ValorPagar, setValorPagar] = React.useState(0);
  const [datos, setDatos] = React.useState({});
  const route = useRoute();
  useEffect(() => {
    console.log(route.params);
    numerosregistrados.forEach(item => {
      if (item.number === route.params.number) {
        setDatos(item);
      }
    });
    console.log(datos);
    setValorPagar(route.params.valorPagar);
  }, [datos, route]);
  const accountbind = account => {
    const accountbin = account.substring(0, 4) + '*****' + account.substring(8, 11);
    return accountbin;
  };
  return /*#__PURE__*/React.createElement(View, {
    style: styles.containerVistaPrevia
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.encabezados
  }, "Para "), /*#__PURE__*/React.createElement(View, {
    style: styles.contenedorSeccion
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.nombre
  }, datos.name), /*#__PURE__*/React.createElement(Text, null, "Parar DeUna! -", datos.number), datos && datos.account ? /*#__PURE__*/React.createElement(Text, null, "Cuenta de ahorros - ", accountbind(datos.account)) : null), /*#__PURE__*/React.createElement(Text, {
    style: styles.encabezados
  }, "Valor"), /*#__PURE__*/React.createElement(View, {
    style: styles.contenedorSeccion
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.ValorPagar
  }, "$", ValorPagar ? ValorPagar.toFixed(2) : 0.0)), /*#__PURE__*/React.createElement(Text, {
    style: styles.encabezados
  }, "Desde"), datos && datos.account ? /*#__PURE__*/React.createElement(CuentaMin, {
    numberAccount: accountbind(datos.account)
  }) : null, /*#__PURE__*/React.createElement(Text, {
    style: styles.encabezados
  }, "Descripcion"), /*#__PURE__*/React.createElement(TextInput, {
    style: styles.input,
    placeholder: "\xBFQue estas pagando? (Opcional)",
    maxLength: 40
  }), /*#__PURE__*/React.createElement(Pressable, {
    onPress: () => navigate.navigate('ConfirmarTransaccion', {
      number: datos === null || datos === void 0 ? void 0 : datos.number,
      valorPagar: ValorPagar
    }),
    style: styles.Btncontinuar
  }, /*#__PURE__*/React.createElement(Text, null, "Pagar")));
};
const styles = StyleSheet.create({
  textoEncabezado: {
    fontWeight: 'bold',
    fontSize: 20
  },
  encabezado: {
    width: '100%'
  },
  input: {
    backgroundColor: '#FFFFFF',
    borderStyle: 'solid',
    borderColor: 'black',
    padding: 10
  },
  Btncontinuar: {
    width: '100%',
    backgroundColor: '#FFDD00',
    padding: 15,
    marginTop: 35,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  },
  nombre: {
    fontSize: 19,
    fontWeight: 'bold',
    color: 'black'
  },
  containerVistaPrevia: {
    flex: 1,
    padding: 35,
    width: '100%',
    backgroundColor: '#FFFFFF',
    // CAMBIAR LA ALTURA LA 100% DE LA PANTALLA
    height: 650
  },
  encabezados: {
    fontWeight: 'bold',
    fontSize: 16,
    paddingTop: 10,
    paddingBottom: 10
  },
  contenedorSeccion: {
    padding: 8
  },
  ValorPagar: {
    fontSize: 36,
    fontWeight: 'bold',
    color: 'black'
  }
});
//# sourceMappingURL=VistaPreviaValoPagar.js.map