import React from 'react'
import { createStackNavigator } from '@react-navigation/stack';
import { Alert } from 'react-native';
import { CodigoQr } from './QrCamara';
import { useNavigation } from '@react-navigation/native';
import { ValorPagarQr } from './ValorPagarQr';
import { ConfirmarTransaccion } from './ConfirmarTransaccion';
export const RouteCamaraQr = () => {
    const Stack = createStackNavigator();
    const navigate = useNavigation<any>();
    const on = (data: any) => {
      let dataJson:string|object;
        try{
          dataJson = JSON.parse(data.data);
        }
        catch(e){
          console.log('no es un json');
          dataJson = data.data;
        }
        data.data && typeof dataJson === 'object' && dataJson.hasOwnProperty('valor')
          ? navigate.navigate('ValorPagar', data)
          : Alert.alert('Error', 'No es un codigo valido');
      };
      
  return (
    <Stack.Navigator
    initialRouteName="CodigoQr"
    screenOptions={{
      headerShown: false,
    }}
  >
    <Stack.Screen name="CodigoQr">
      {() => (
        <>
          <CodigoQr on={on}></CodigoQr>
        </>
      )}
    </Stack.Screen>
    <Stack.Screen name="ValorPagar">
      {() => {
        return <ValorPagarQr/>;
      }}
    </Stack.Screen>
    <Stack.Screen name="ConfirmarTransaccion">
    {() => <ConfirmarTransaccion></ConfirmarTransaccion>}
    </Stack.Screen>
  </Stack.Navigator>
  )
}
