import React, { useEffect } from 'react';
import { useState } from 'react';
import type { IDataUserBank } from 'src/interface/IDataUserBank';
import { AuthContext } from './AuthContext';
import { getdataUser } from '../../hooks/validateJwt';
type Props = {
  children: React.ReactNode;
};

export interface AuthState {
  token: string | null;
}

const AUTH_INITIAL_STATE = {
  token: null,
};

export const AuthProvider = ({ children }: Props) => {
  const [state, setState] = useState<AuthState>(AUTH_INITIAL_STATE);
  const [dataBank,setDataBank]=useState<IDataUserBank>()
  const getdatauser=async(token:string)=>{
    const dataUser= await getdataUser(token)
    setDataBank(dataUser)
  }
  useEffect(() => {
    if(state.token){
      console.log(state.token)
      getdatauser(state.token)
    }
  }, [state.token]);

    const cargarToken = (token : string|null) =>{
          setState({token}); 
    }



  return (
    <AuthContext.Provider
      value={{
        ...state,
        cargarToken,
        dataBank,
        setDataBank,
      }
      }
    >
      {children}
    </AuthContext.Provider>
  );
};
